<html>

<head>
	<title>Radio Receiver</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
	<link rel="stylesheet" href="sick-styling.css">
</head>

<body>
	<div class="container">
		<h1>Radio Receiver</h1>
		<input type="text" id="callings"></input>
		<button onclick="connect()">Connect to Broadcast</button>
		<audio controls></audio>
		<video width="320" height="240" controls poster="https://cdn.wallpapersafari.com/82/56/dDGH91.jpg"></video>
	</div>

	<script src="https://unpkg.com/peerjs@1.0.0/dist/peerjs.min.js"></script>
	<script>

		function onReceiveAudioStream(stream) {
			var audio = document.querySelector('audio');
			//console.log(audio);
			audio.srcObject = stream;
			audio.onloadedmetadata = function (e) {
				//console.log('now playing the audio');
				audio.play();
			}
		}

    function onReceiveVideoStream(stream) {
      var video = document.querySelector('video');
      //console.log(video);
      video.srcObject = stream;
      video.onloadedmetadata = function (e) {
        //console.log('now playing the video');
        video.play();
      }
    }

		function connect() {
			var person_to_call = document.getElementById('callings').value;
			//console.log('WE IS CALLINNNN BRO ' + person_to_call);
			var receiver = new Peer();
      var conn = receiver.connect(person_to_call);
      conn.on('data', (data) => {
        if (data == 'CLOSE') {
          conn.close();
        }
      });
      conn.on('open', () => {
        conn.send(receiver.id)
      })

      receiver.on('call', function (call) {
				//console.log('--------on callll', call);
				call.answer();
				call.on('stream', function (remoteStream) {
					//console.log(remoteStream.getVideoTracks());
          if (remoteStream.getVideoTracks().length > 0) {
  					onReceiveVideoStream(remoteStream);
          } else {
  					onReceiveAudioStream(remoteStream);
          }
				});
			});
		}

	</script>

</body>

</html>
